Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I want to use the usepackage siunitx for my thesis (scrreprt). MikTeX asks for installing the documentclass beamer each time when I compile my document (and then freezes while installing). When I cancel the installation of the beamer package, the document is compiled correctly and displays the correct number with SI unit.

Here is a small example:

\documentclass[twoside]{scrreprt}
\usepackage{siunitx}
\begin{document}
\SI{5}{\micro\metre}
\end{document}

How can I avoid the installation message? It does not affect anything, it is just annoying.

Thank you!

*File List*
scrreprt.cls 2012/07/29 v3.11b KOMA-Script document class (report)
scrkbase.sty 2012/07/29 v3.11b KOMA-Script package (KOMA-Script-dependent basics and keyval usage)
scrbase.sty 2012/07/29 v3.11b KOMA-Script package (KOMA-Script-independent basics and keyval usage)
keyval.sty 1999/03/16 v1.13 key=value parser (DPC)
scrlfile.sty 2012/06/15 v3.12 KOMA-Script package (loading files)
tocbasic.sty 2012/04/04 v3.10b KOMA-Script package (handling toc-files)
scrsize11pt.clo 2012/07/29 v3.11b KOMA-Script font size class option (11pt)
typearea.sty 2012/07/29 v3.11b KOMA-Script package (type area)
siunitx.sty 2013/03/11 v2.5q A comprehensive (SI) units package
expl3.sty 2013/03/14 v4469 L3 Experimental code bundle wrapper
l3names.sty 2012/12/07 v4346 L3 Namespace for primitives
l3bootstrap.sty 2013/01/08 v4420 L3 Experimental bootstrap code
luatex.sty 2010/03/09 v0.4 LuaTeX basic definition package (HO)
infwarerr.sty 2010/04/08 v1.3 Providing info/warning/error messages (HO)
ifluatex.sty 2010/03/01 v1.3 Provides the ifluatex switch (HO)
etex.sty 1998/03/26 v2.0 eTeX basic definition package (PEB)
luatex-loader.sty 2010/03/09 v0.4 Lua module loader (HO)
pdftexcmds.sty 2011/11/29 v0.20 Utility functions of pdfTeX for LuaTeX (HO)
ltxcmds.sty 2011/11/09 v1.22 LaTeX kernel commands for general use (HO)
ifpdf.sty 2011/01/30 v2.3 Provides the ifpdf switch (HO)
l3basics.sty 2013/01/10 v4428 L3 Basic definitions
l3expan.sty 2013/02/03 v4458 L3 Argument expansion
l3tl.sty 2013/01/08 v4415 L3 Token lists
l3seq.sty 2013/01/12 v4434 L3 Sequences and stacks
l3int.sty 2013/01/13 v4444 L3 Integers
l3quark.sty 2012/11/04 v4268 L3 Quarks
l3prg.sty 2013/02/13 v4459 L3 Control structures
l3clist.sty 2013/01/08 v4414 L3 Comma separated lists
l3token.sty 2013/01/10 v4428 L3 Experimental token manipulation
l3prop.sty 2013/01/09 v4423 L3 Property lists
l3msg.sty 2013/01/08 v4412 L3 Messages
l3file.sty 2013/01/14 v4446 L3 File and I/O operations
l3skip.sty 2013/01/13 v4444 L3 Dimensions and skips
l3keys.sty 2013/02/24 v4461 L3 Experimental key-value interfaces
l3fp.sty 2013/01/19 v4449 L3 Floating points
l3box.sty 2013/01/08 v4411 L3 Experimental boxes
l3coffins.sty 2012/09/09 v4212 L3 Coffin code layer
l3color.sty 2012/08/29 v4156 L3 Experimental color support
l3luatex.sty 2012/08/03 v4049 L3 Experimental LuaTeX-specific functions
l3candidates.sty 2013/03/14 v4468 L3 Experimental additions to l3kernel
xparse.sty 2013/03/12 v4467 L3 Experimental document command parser
amstext.sty 2000/06/29 v2.01
amsgen.sty 1999/11/30 v2.0
array.sty 2008/09/09 v2.4c Tabular extension package (FMi)
l3keys2e.sty 2013/03/12 v4467 LaTeX2e option processing using LaTeX3 keys
graphics.sty 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
trig.sty 1999/03/16 v1.09 sin cos tan (DPC)
graphics.cfg 2007/01/18 v1.5 graphics configuration of teTeX/TeXLive
pdftex.def 2011/05/27 v0.06d Graphics/color for pdfTeX
supp-pdf.mkii
siunitx-abbreviations.cfg 2013/03/11 v2.5q siunitx: Abbreviated units
ts1cmr.fd 1999/05/25 v2.5h Standard LaTeX font definitions
***********

share|improve this question
    
No problem here with current MiKTeX 2.9. Which tex distribution and operating system do you use? I guess it is outdated, perhaps TeXLive 2009? –  Kurt Sep 26 '13 at 9:38
    
Run your editor as an administrator. –  percusse Sep 26 '13 at 9:40
    
I am using MiKTeX 2.9 with TeXnicCenter, and unfortunatelly it does not work even if I run it as administrator –  Dani Sep 26 '13 at 10:23
    
What happens if you force miktex to install beamer separately (by trying to compile a beamer document)? –  T. Verron Sep 26 '13 at 11:29
    
It freezes...I tried this also using the package manager, but there is some problem with beamer. And I do not know why I should need beamer for the siunitx package, they do not seem to be related in any way. –  Dani Sep 26 '13 at 13:21

1 Answer 1

It seems that you have a problem with your installation of MiKTeX, if it is the current one. I guess you have installed basic MikTeX? See the first line of your log file. Do you see This is pdfTeX, Version 3.1415926-2.5-1.40.14 (MiKTeX 2.9)?

If no, you should update.

If yes, your installations is faulty.

Try to reboot your computer. Do you still have the error? If Yes follow this:

  1. Delete the old installation completly! including TeXnicCenter.
  2. Download the installer for complete MiKTeX from http://www.miktex.org
  3. Install complete MiKTeX
  4. Download TeXnicCenter from http://www.texniccenter.org
  5. Install TeXnicCenter. It should recognize that you have an installed MiKTeX.
  6. Now compile your MWE 3 times. It should run. If not, you have a problem with your computer.

Edit: I compared your file list with mine. You are using old packages for siunits and expl3.sty. My File List says:

 siunitx.sty    2013/07/31 v2.5s A comprehensive (SI) units package
   expl3.sty    2013/07/28 v4582 L3 Experimental code bundle wrapper 

and you have version 2.5q (older) and v4469 (older). Please use the MiKTeX package manager to update your packages.

share|improve this answer
    
Thank you for your advice - I did a complete new installation of MikTeX and TeXniccenter. Unfortunately the error is still there. –  Dani Sep 27 '13 at 7:53
    
@Dani just to be clear: the MWE you gave wants still to install beamer? Please add \listfiles before \documentclass, compile and add the part *File List* from your log file to your question. –  Kurt Sep 27 '13 at 8:41
    
I added the file list. Yes, it still wants to install beamer. –  Dani Sep 27 '13 at 13:23
    
@Please see my updated answer –  Kurt Sep 27 '13 at 13:39

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.